Package Details: geany-plugins-git 1.36.0.r19.g0bfe89d1-2

Git Clone URL: https://aur.archlinux.org/geany-plugins-git.git (read-only, click to copy)
Package Base: geany-plugins-git
Description: Various plugins for Geany
Upstream URL: https://plugins.geany.org/
Licenses: GPL
Conflicts: geany-plugin-markdown, geany-plugins, geany-plugins-svn
Provides: geany-plugins
Submitter: xyproto
Maintainer: SpotlightKid
Last Packager: SpotlightKid
Votes: 38
Popularity: 0.000003
First Submitted: 2011-12-17 12:35
Last Updated: 2019-12-08 14:56

Latest Comments

1 2 3 4 5 6 ... Next › Last »

SpotlightKid commented on 2019-11-30 16:47

Since the 'community/geany' package is now compiled with GTK3, this package should not depend on 'geany-gtk3-git' anymore but just 'geany'.

I would also suggest to remove the dependency on 'webkitgtk' and replace it with 'webkit2gtk'. The former is insecure and should not be used anymore. The markdown plugin compiles and works with 'webkit2gtk', but the webhelper plugin doesn't, so that would get dropped (both are not in the 'community/geany-plugins' package either). But I think that's better than using an insecure dependency.

trizen commented on 2018-04-17 22:14

I'm no longer using this package. Feel free to adopt.

trizen commented on 2018-02-18 03:07

Thanks Samy. I included a comment in the PKGBUILD.

samy commented on 2018-02-17 14:24

Please note that some plugins (for instance spellcheck) are not enabled automatically if you are missing some dependencies.

For instance, to enable spellcheck, you must install: enchant (make-dep).

Additionally, you can set --enable-all-plugins to ensure you will get a configuration error if a particular plugin is not installed.

See https://plugins.geany.org for the deps of each plugin.

Edit: When building spellcheck, the ./configure script will ask pkg-config for enchant, which it will fail to find. Actually, you have enchant-2 installed but not enchant. So, you might have to sudo ln -s /usr/lib/pkgconfig/enchant-2.pc /usr/lib/pkgconfig/enchant.pc. Once, geany plugins are built you can remove the link.

trizen commented on 2016-11-01 09:25

Thanks @ctag. I simply replaced the source URL with 'git://github.com/geany/geany-plugins.git', as it was before.

ctag commented on 2016-11-01 02:23

@trizen,

A workaround is to edit the PKGBUILD and replace the single quotes around the download URL with double quotes. Then replace all instances of 'cd geany-plugins' with 'cd geany-plugins-${pkgver}'

trizen commented on 2016-10-30 15:30

The source URL is broken:

==> Checking buildtime dependencies...
==> Retrieving sources...
-> Downloading $pkgver.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 130 0 130 0 0 166 0 --:--:-- --:--:-- --:--:-- 167
0 0 0 0 0 0 0 0 --:--:-- 0:00:01 --:--:-- 0
curl: (22) The requested URL returned error: 404 Not Found
==> ERROR: Failure while downloading https://github.com/geany/geany-plugins/archive/$pkgver.tar.gz
Aborting...

In my opinion, if the package is named "-git", I think the source URL should be a git:// repository as well. (e.g.: 'git://github.com/geany/geany-plugins.git')

youngunix commented on 2016-05-17 22:29

Humm! It didn't for me. Is this [makepkg --printsrcinfo > .SRCINFO] what you use?

trizen commented on 2016-05-17 18:49

pkgver was automatically updated by makepkg.

youngunix commented on 2016-05-17 18:34

Confirmed! Will update it shortly. Q: Where did you get the {pkgver=1.27.0.17.g6122e13} from?